.hero-swiper {
  width: 100%;
  height: 500px;

  .swiper-slide {
    position: relative;

    > img {
      position: absolute;
      width: 100%;
      height: 100%;
      object-fit: cover;
      top: 50%;
      left: 50%;
      z-index: -1;
      transform: translate(-50%, -50%);
    }

    .container {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;

      h1 {
        font-size: 32px;
        line-height: 149%;
        color: #2d2d2d;
        margin-bottom: 8px;
      }

      p {
        font-size: 18px;
        line-height: 149%;
        margin-bottom: 24px;
      }
    }
  }

  .swiper-pagination {
    display: flex;
    right: calc((100% - 1140px) / 2);
    left: initial;
    width: max-content;
    bottom: 32px;

    .swiper-pagination-bullet {
      width: 16px;
      height: 16px;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid #2d2d2d;
      transition: 0.23s;
      background: transparent;
      opacity: 1;

      .custom-bullet {
        width: 8px;
        height: 8px;
        background-color: #2d2d2d;
        border-radius: 50%;
        transition: 0.23s;
        opacity: 0;
        visibility: hidden;
      }

      &.swiper-pagination-bullet-active {
        .custom-bullet {
          opacity: 1;
          visibility: visible;
        }
      }
    }

    @media screen and (max-width: 1140px) {
      right: 16px;
    }
  }

  @media screen and (max-width: 767px) {
    height: 419px;
    .swiper-slide {
      .container {
        h1 {
          font-size: 30px;
          line-height: 41px;
          margin-bottom: 12px;
        }

        p {
          font-size: 14px;
        }
      }
    }
  }
}

.material-block {
  margin-top: 32px;

  @media screen and (max-width: 768px) {
    margin-top: 0;

    .container {
      padding: 0;
    }
  }
}

.feedback-block {
  padding-top: 64px;
  padding-bottom: 128px;
  background: #fef8f5;

  .block-title {
    text-align: center;
    margin-bottom: 32px;
  }

  .feedback-swiper {
    margin-left: calc((100vw - 1200px) / 2);
    .swiper-slide {
      width: 419px;
      height: 357px;
      box-shadow: 0px 4px 12px #f2f1ef;
      border-radius: 6px;
      padding: 32px;

      .stars-wrapper {
        margin-bottom: 32px;
      }

      .feedback-des {
        font-size: 16px;
        line-height: 149%;
        margin-bottom: 48px;
      }

      .feedback-product {
        display: flex;
        align-items: center;
        margin-bottom: 24px;

        .product-img {
          width: 80px;
          height: 55px;
          margin-right: 12px;

          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }

        p {
          font-size: 14px;
          line-height: 20px;
        }
      }

      .person-name {
        font-size: 16px;
        line-height: 22px;
        margin-bottom: 12px;
      }

      .feedback-date {
        font-size: 12px;
        line-height: 16px;
        color: #909090;
      }
    }

    .swiper-button-next,
    .swiper-button-prev {
      width: max-content;
      height: auto;
      top: 102%;

      &::after {
        display: none;
      }
    }

    .swiper-button-next {
      right: calc((100vw - 1140px) / 2);

      @media screen and (max-width: 1140px) {
        right: 16px;
      }
    }

    .swiper-button-prev {
      left: initial;
      right: calc(((100vw - 1140px) / 2) + 40px);

      @media screen and (max-width: 1140px) {
        right: 56px;
      }
    }

    @media screen and (max-width: 1140px) {
      left: 16px;
    }
  }
}

.pulse-block {
  background: #fef8f5;
  padding: 128px 32px 64px;

  .pulse-inner {
    padding: 32px 0;
    display: flex;

    .pulse-image {
      max-width: 545px;
      width: 100%;
      margin-right: 47px;
    }

    .choose-us {
      .block-title {
        margin-bottom: 32px;
      }

      .list-wrapper {
        .list-item {
          max-width: 253px;
          display: flex;
          align-items: flex-start;
          margin-bottom: 32px;
          img {
            margin-right: 15px;
            margin-top: 4px;
          }

          p {
            font-size: 18px;
            line-height: 149%;
            span {
              display: block;
              font-size: 14px;
              line-height: 19px;
              color: #909090;
              margin-top: 6px;
            }
          }
        }
      }
    }
  }

  @media screen and (max-width: 768px) {
    padding: 24px 0 48px;

    .pulse-inner {
      flex-direction: column-reverse;

      .choose-us {
        display: flex;
        flex-direction: column;
        align-items: center;

        .list-wrapper {
          .list-item {
            max-width: 100%;
            > img {
              display: none;
            }

            p {
              text-align: center;
            }
          }
        }
      }
    }
  }
}

.insta-block {
  display: flex;
  flex-direction: column;
  align-items: center;
  .block-title {
    margin-bottom: 8px;
  }

  .insta-link {
    text-align: center;
    margin-bottom: 32px;
    color: #2d2d2d;
  }

  .insta-photos-wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    .insta-photo-item {
      width: 300px;
      height: 300px;

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }
  }

  @media screen and (max-width: 768px) {
    flex-wrap: wrap;
    .block-title {
      margin-bottom: 12px;
    }

    .insta-link {
      font-size: 14px;
      line-height: 149%;
      margin-bottom: 24px;
    }

    .insta-photos-wrapper {
      width: 100%;

      .insta-photo-item {
        width: 50%;
        height: 50%;
      }
    }
  }
}
